namespace Netina.AdminPanel.PWA.Services.RestServices;

public interface IReviewRestApi
{
    [Get("/{id}")]
    Task<CommentSDto> ReadOne(Guid id, [Header("Authorization")] string authorization);

    [Get("")]
    Task<List<CommentSDto>> ReadAll([Query] int page, [Header("Authorization")] string authorization);

    [Post("")]
    Task<Guid> CreateAsync([Body]CreateCommentCommand request, [Header("Authorization")] string authorization);


    [Put("/confirm/{id}")]
    Task<Guid> ConfirmAsync(Guid id, [Header("Authorization")] string authorization);
}